%global momorel 2

Summary: 2ch browser using Gtk2+
Name: ochusha
Version: 0.5.5
Release: %{momorel}m
License: Modified BSD
URL: http://ochusha.sourceforge.jp/
Group: Applications/Internet
%NoSource 0 http://downloads.sourceforge.jp/ochusha/10122/%{name}-%{version}.tar.bz2 0ffb28f0cbcadbb404d6d14a42eee9d8
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk+ >= 2.2.0, glib >= 2.2.0, libxml2 >= 2.5.0, libghttp >= 1.0.9
BuildRequires: gtk+-devel >= 2.2.0, glib-devel >= 2.2.0, libxml2-devel >= 2.5.0, libghttp-devel >= 1.0.9
BuildRequires: gettext, zlib-devel

%description
The ochusha is browser using Gtk2+ for 2ch.It relieves access to 2ch.

%prep
%setup -q

%build
CFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir}

make %{?_smp_mflags} || make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Internet
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Internet/ochusha.desktop << EOF
[Desktop Entry]
Name=Ochusha
Comment=2ch browser using Gtk2+
Exec=%{_bindir}/ochusha
Icon=%{_datadir}/ochusha/ochusha48.png
Terminal=0
Type=Application
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ABOUT-NLS ACKNOWLEDGEMENT AUTHORS BUGS COPYING ChangeLog INSTALL* NEWS README TODO
%{_bindir}/ochusha
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/ochusha
%{_datadir}/locale/*/LC_MESSAGES/ochusha.mo
%{_mandir}/man1/ochusha.1*
%{_sysconfdir}/X11/applnk/Internet/ochusha.desktop

%changelog
* Thu Aug  5 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.5-2m)
- change make install-strip to install

* Fri Jul  2 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.5-1m)
- version 0.5.5

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.10-2m)
- use make install-strip

* Sun Jun 20 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.10-1m)
- version 0.5.4.10

* Wed Jun 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.9-1m)
- version 0.5.4.9

* Tue Jun 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.8-1m)
- version 0.5.4.8

* Mon Jun 14 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.7-1m)
- version 0.5.4.7

* Mon Jun 14 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.6-1m)
- version 0.5.4.6

* Sat Jun 12 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.5-1m)
- version 0.5.4.5

* Fri Jun 11 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.4-1m)
- version 0.5.4.4

* Sun Jun  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.3-1m)
- version 0.5.4.3

* Tue May 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.2-1m)
- version 0.5.4.2
- remove --with-gtk22-api option from configure

* Sun May 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4.1-1m)
- version 0.5.4.1
- add --with-gtk22-api option to configure

* Thu May  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-1m)
- version 0.5.4

* Wed May  5 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-1m)
- version 0.5.3

* Sun May  2 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-1m)
- version 0.5.2

* Fri Apr  9 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-1m)
- version 0.5.1
- add man file

* Sun Feb 29 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-1m)
- version 0.5

* Wed Jan 28 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.10.3-1m)
- version 0.4.10.3

* Thu Jan 22 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.10.1-1m)
- version 0.4.10.1

* Wed Jan 21 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.10-1m)
- version 0.4.10

* Sat Jan 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.7-1m)
- version 0.4.9.7

* Sat Jan 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.6-1m)
- version 0.4.9.6

* Thu Jan 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.5-1m)
- version 0.4.9.5

* Wed Jan 14 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.4-1m)
- version 0.4.9.4
- s/%%define/%%global/g

* Wed Jan 14 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.3-1m)
- version 0.4.9.3

* Tue Jan 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.2-1m)
- version 0.4.9.2
- use rpm macros in desktop entry

* Mon Jan 12 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.1-1m)
- version 0.4.9.1

* Sun Jan 11 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9-1m)
- version 0.4.9

* Tue Jan  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.8.2-1m)
- version 0.4.8.2

* Wed Dec 31 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.8.1-2m)
- add %%post and %%postun sections

* Wed Dec 31 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.8.1-1m)
- version 0.4.8.1

* Tue Dec 30 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.8-1m)
- version 0.4.8

* Tue Dec 30 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.7.1-1m)
- version 0.4.7.1

* Wed Dec 24 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.7-1m)
- version 0.4.7
- Merry Christmas

* Mon Dec 22 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.6-2m)
- version 0.4.6 official release

* Sun Dec 21 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.6-1m)
- version 0.4.6

* Sun Dec 21 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.11-1m)
- version 0.4.5.11

* Sat Dec 20 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.10-1m)
- version 0.4.5.10

* Sat Dec 20 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.9-1m)
- version 0.4.5.9

* Sat Dec 20 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.8-1m)
- version 0.4.5.8
- fix Requires

* Wed Dec 17 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.7-1m)
- version 0.4.5.7

* Tue Dec 16 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.6-1m)
- version 0.4.5.6

* Mon Dec 15 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.5-1m)
- version 0.4.5.5

* Sat Dec 13 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.4-1m)
- version 0.4.5.4

* Fri Dec 12 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.2-1m)
- version 0.4.5.2

* Tue Dec  9 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.1-1m)
- version 0.4.5.1

* Sat Dec  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5-1m)
- version 0.4.5

* Tue Dec  2 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4.8-2m)
- add desktop entry

* Sat Nov 29 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4.8-1m)
- version 0.4.4.8
- License: Modified BSD

* Thu Nov 27 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4.7-1m)
- version 0.4.4.7

* Wed Nov 26 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.4.6-1m)
- import

* Fri Nov 21 2003 <yuhei@users.sourceforge.jp> 0.4.4.3-1
- Version up.
* Fri Nov 14 2003 <yuhei@users.sourceforge.jp> 0.4.4.2-1
- Version up.
- Added some libraries. 
* Mon Jun 23 2003 <yuhei@users.sourceforge.jp> 0.4.3.6-1
- Version up.
* Wed Jun 11 2003 <yuhei@users.sourceforge.jp> 0.4.3.4-1
- Version up.
- changed prefix enviromental valuable.
- changed URL.
* Mon May 19 2003 <yuhei@users.sourceforge.jp> 0.4.3.3-1
- Version up.
* Mon May 12 2003 <yuhei@users.sourceforge.jp> 0.4.3.2-1
- Version up.
- Fixed Group.
* Mon May 12 2003 <yuhei@users.sourceforge.jp> 0.4.2.1-1
- Initial build.
